Skip to content

Entitlement Bundles

The Entitlement Bundles API allows you to manage entitlement bundles. Entitlement bundles allow you to grant multiple entitlements simultaneously to your users. See Entitlement Management in the product documentation.

Note: An app must have entitlement management enabled before it can be used as an entitlement resource. See Enable Entitlement management in the product documentation.

Create an entitlement bundle

Request

OAuth 2.0 scope:
  • okta.governance.entitlements.manage
Admin roles:
  • APP_ADMIN

Creates an entitlement bundle

Bodyapplication/jsonrequired

The writable attributes of an entitlement bundle

namestring, [ 1 .. 255 ] charactersrequired

The unique name of the entitlement bundle

Example:"my-object-1"
descriptionstring, [ 1 .. 1000 ] characters

The human-readable description

Example:"The unique instance of my-object-1"
targetobject(target-resource)required

Representation of a resource

entitlementsArray of objects(entitlements-creatable)required

Collection of entitlements and associated value identifiers

POST
/governance/api/v1/entitlement-bundles
curl -i -X POST \
  https://okta-subdomain.pixtulate.com/governance/api/v1/entitlement-bundles \
  -H 'Content-Type: application/json' \
  -d '{
    "name": "Salesforce admin bundle",
    "description": "A bundle for full administrative access in salesforce",
    "target": {
      "externalId": "0oafxqCAJWWGELFTYASJ",
      "type": "APPLICATION"
    },
    "entitlements": [
      {
        "id": "espo3v6xlwdtEX2il1d6",
        "values": [
          {
            "id": "ento3v6xmkviXCltm1d6"
          }
        ]
      }
    ]
  }'

Responses

A successful entitlement bundle creation operation

Headers
X-Rate-Limit-Limitinteger, >= 1required

The rate-limit ceiling for the current request

Example:60
X-Rate-Limit-Remaininginteger, >= 0required

The number of requests left for the current rate-limit window

Example:60
X-Rate-Limit-Resetinteger, >= 0required

The time when the rate limit resets, specified in UTC epoch time (in seconds)

Example:1609459200
Bodyapplication/json
namestring, [ 1 .. 255 ] charactersrequired

The unique name of the entitlement bundle

Example:"my-object-1"
descriptionstring, [ 1 .. 1000 ] characters

The human-readable description

Example:"The unique instance of my-object-1"
idstring, non-emptyrequired

Unique identifier for the object

createdBystring, (okta-user-id), [ 1 .. 20 ] characters(created-by)read-onlyrequired

The id of the Okta user who created the resource

createdstring, (date-time)(created)read-onlyrequired

The ISO 8601 formatted date and time when the resource was created

lastUpdatedstring, (date-time)(last-updated)read-onlyrequired

The ISO 8601 formatted date and time when the object was last updated

lastUpdatedBystring, (okta-user-id), [ 1 .. 20 ] characters(last-updated-by)read-onlyrequired

The id of the Okta user who last updated the object

ornstring, (okta-resource-orn)(okta-bundle-orn)required

The id of the bundle in ORN format.

targetResourceOrnstring, (okta-resource-orn)(resource-orn)required

The Okta resource in ORN format

See the ORN format for supported resources.

targetobject(target-resource)required

Representation of a resource

statusstring(entitlement-bundle-status)required

The lifecycle status of an entitlement bundle:

  • An entitlement bundle has a status of ACTIVE after creation.
  • When the bundle is deleted, it transitions to a status of DELETED.

When the entitlement bundle is purged, it isn't returned in a GET operation.

Enum:"ACTIVE""DELETED"
entitlementsArray of objects(entitlements-creatable)

Collection of entitlements and associated value identifiers

Response
Entitlement Bundle with one entitlement and one value
{ "id": "enbo3j1lwErh6dn701d6", "name": "Github admin bundle", "description": "Github bundle for administrative access", "orn": "orn:okta:idp:00o11edPwGqbUrsDm0g4:entitlement-bundles:enbo3j1lwErh6dn701d6", "created": "2022-05-24T14:15:22Z", "createdBy": "00ub0oNGTSWTBKOLGLNR", "lastUpdated": "2022-05-24T14:15:22Z", "lastUpdatedBy": "00ub0oNGTSWTBKOLGLNR", "status": "ACTIVE", "targetResourceOrn": "orn:okta:idp:00o11edPwGqbUrsDm0g4:apps:github:0oafxqCAJWWGELFTYASJ", "target": { "externalId": "0oafxqCAJWWGELFTYASJ", "type": "APPLICATION" }, "entitlements": [ {} ], "_links": { "self": {} } }